services:
    qbabit.mail.template_generator:
        class: QbaBit\MailBundle\Services\QbGenerateTemplateService
        arguments: ["@service_container"]
        public: true
        autoconfigure: false
    qbabit.mail.sender:
        class: QbaBit\MailBundle\Services\Sender
        public: true
        arguments:
           - '@service_container'
    qbabit.type.email.template:
        class: QbaBit\MailBundle\Form\EmailTemplateType
        tags:
           - name: "form.type"
        arguments: ["@service_container"]
    qbabit.type.email.template_category:
        class: QbaBit\MailBundle\Form\EmailTemplateCategoryType
        tags:
           - name: "form.type"
        arguments: ["@service_container"]
    qbabit.type.email.mail_message:
        class: QbaBit\MailBundle\Form\QbEmailMessageType
        tags:
           - name: "form.type"
        arguments: ["@service_container"]
    qbabit.email.bindeable_class_declared:
        class: QbaBit\MailBundle\Services\QbMailBindeableClassDeclared
        arguments: ["@service_container"]
        public: true
    qbabit.type.varType:
        class: QbaBit\MailBundle\Form\VarInputControlType
        tags:
           - name: "form.type"
        arguments: ["@service_container"]
    qbabit.type.email.template.list:
        class: QbaBit\MailBundle\Form\EmailTemplateListItemType
        tags:
           - name: "form.type"
        arguments: ["@service_container"]
    qbabit.type.email.template.vars:
        class: QbaBit\MailBundle\Form\EmailTemplateVarsType
        tags:
           - name: "form.type"
        arguments: ["@service_container"]